=== debian/changelog ===
gkrellm-tz (0.8-2) unstable; urgency=medium

  * New maintainer.
  * Build without -Werror. (Closes: #951964)

 -- Adrian Bunk <bunk@debian.org>  Mon, 06 Apr 2020 12:35:25 +0300

gkrellm-tz (0.8-1) unstable; urgency=low

  * Initial release (Closes: #743902)

 -- Andreas "Jimmy" Gredler <jimmy@grml.org>  Fri, 15 Apr 2016 02:33:33 -0700
