=== debian/control ===
Source: gkrellm-tz
Section: x11
Priority: optional
Maintainer: Adrian Bunk <bunk@debian.org>
Build-Depends: debhelper (>= 9.0.0), pkg-config, libgtk2.0-dev, gkrellm
Standards-Version: 3.9.7
Homepage: http://mamuti.net/gkrellm/gkrellm-tz.en.html

Package: gkrellm-tz
Enhances: gkrellm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gkrellm
Description: Plugin for gkrellm to show different timezones
 This plugin displays the current time in several configurable
 timezones. It uses the standard names of timezones found under
 /usr/share/zoneinfo/, e.g. UTC. Timezones can also have descriptive
 labels which are shown as tooltips. Furthermore it's possible to define
 a custom time format.
