=== debian/watch ===
version=3
https://mamuti.net/gkrellm/gkrellm-tz.en.html ../files/gkrellm-tz/gkrellm-tz-(.+).tar.xz
